/*
 * This file is part of Loctrace.
 * 
 * Copyright (c) 2007 Thomas King <king@informatik.uni-mannheim.de>,
 * University of Mannheim, Germany
 * 
 * All rights reserved.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.loctrace.wirelesslan;

/**
 * WLAN scan mode
 * 
 * @author Andreas
 */
public enum ScanMode {
	/**
	 * Active scan. Sends a request and listens for responses on all channels.
	 */
	ACTIVE,
	
	/**
	 * Passive scan. Listens for AP beacons on all channels.
	 */
	PASSIVE,
	
	/**
	 * Monitor scan. Passively monitors current and overlapping channels only.
	 */
	MONITOR
}
